FIRST Robotics Competition Discussions

cancel
Showing results for 
Search instead for 
Did you mean: 

Error Installing LVFRC2013, Needs .Net Framework 4.0

When installing LVFRC2013, I get the prompt to install .Net Framework 4.0. 

I select OK, and then get the error

I follow the instructions, but get the same results.  I was able to check and see that I am running .NET Framework 4.0 Client, not the Full version.  So I searced the DVD and found the full version, dotNetFx40_Full_x86_x64.exe, but this doesn't appear to install successfully.

I'm running Windows XP Pro, SP3,   Any Ideas on how to solve the problem, so that I can then begin to install the software.

Thanks

0 Kudos
Message 1 of 7
(6,868 Views)

See if you can install the component if you download it from Microsoft's site:http://www.microsoft.com/en-us/download/details.aspx?id=17718

Kevin Fort
Principal Software Engineer
NI
0 Kudos
Message 2 of 7
(4,222 Views)

Thanks,  I tried that, rebooted, but still didn't work.  The error code I get is

An error occurred while installing the Microsoft .NET Framework 4.0(DN -1073741819).  Reboot your computer and restart this installer to try again.

I've done that also, and all I seem to be able to get installed is the 4.0 Client, not the Full version.  So I'm still stuck.  Why is there a dependence on this thing anyway.  Is there a way to work around it.

0 Kudos
Message 3 of 7
(4,222 Views)

There is not a way to work around installing LabVIEW without the .NET framework.  For this issue I think Microsoft will probably have a better idea than we will for what the issue is.  I did a little searching and there are a bunch of forums with a similar issue including this one(http://social.msdn.microsoft.com/Forums/pl-PL/netfxsetup/thread/18c1b6a5-c0d3-4e2f-8ec7-9192d23cb45c) which has some suggestions for fixing the issue.

Kevin Fort
Principal Software Engineer
NI
0 Kudos
Message 4 of 7
(4,222 Views)

Kevin,

I reviewed the link you suggested and all the fixes, corrections, etc...  with no luck.  The issue all along has been that that LabView is looking at the Registry for the FULL version of .NET Framework 4.0 to be installed, and for some unknown reason still, all that would install on my laptop was the CLIENT version.  So, I figured out a work around, I went into the Registry and changed the name of the folder from CLIENT to FULL.  No other changes, and presto LabView installs.  So this is the work around.  Thanks for your help along the way. 

0 Kudos
Message 5 of 7
(4,222 Views)

Hi kennethdharmon2,

thanks for telling your workaround. I got the same problem and installation worked after changing Client to Full. Did you rename the folder back to Client after installation? Do you know about any side effects of renaming?

0 Kudos
Message 6 of 7
(4,222 Views)

Glad it worked for you.  My intent was to change it back after all the installs, but I haven't done that as of yet.  I plan to install the latest updates from NI at some point, and was concerned that I would have the same problem.  So for now, I left it alone.  I haven't seen any side effects from leaving it that way in the registry.  Hope that helps.  If you do something different, post your results here.  Thanks.

0 Kudos
Message 7 of 7
(4,222 Views)